version: "3"
services:
  api:
    build:
      context: api
    image: api:latest
    ports:
      - 80:80
    environment:
      - LOG_LEVEL=${LOG_LEVEL}
      - MONGO_HOSTNAME=mongo
      - MONGO_PORT=27017
      - MONGO_USERNAME=admin
      - MONGO_PASSWORD=admin
    links:
      - mongo:mongo
    restart: always

  mongo:
    image: mongo
    restart: always
    environment:
      MONGO_INITDB_ROOT_USERNAME: admin
      MONGO_INITDB_ROOT_PASSWORD: admin
    volumes:
      - mongo_data:/data/db
    ports:
      - 27017:27017
    restart: always

volumes:
  mongo_data:
    driver: local
